﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

# define e = Character("Eileen")
# 1 = phantoms / 2 = bloodhounds
define a = Character("[first_name] [last_name]", what_prefix='"', what_suffix='"') # The Player
define c = Character("Coulter", what_prefix='"', what_suffix='"') # Phantoms Captain / 75
define i = Character("Ibarra", what_prefix='"', what_suffix='"') # Bloodhounds Captain / 91
define m = Character("Morin", what_prefix='"', what_suffix='"') # Bloodhounds Rival / 11
define d = Character("Dupré", what_prefix='"', what_suffix='"') # Bloodhounds Goalie / 46

define a1 = Character("announcer 1")
define a2 = Character("announcer 2")

define gm1 = Character("Kala Amari", what_prefix='"', what_suffix='"') # Phantoms GM
define gm2 = Character("bloodhounds gm", what_prefix='"', what_suffix='"') # Bloodhounds GM
define hc1 = Character("Antoine LeBlanc", what_prefix='"', what_suffix='"') # Phantoms Head Coach
define hc2 = Character("Dallas Harper", what_prefix='"', what_suffix='"') # Bloodhounds Head Coach
define p = Character("placeholder", what_prefix='"', what_suffix='"')
define unknown = Character("???", what_prefix='"', what_suffix='"') # For characters not yet named to the player

#recurring characters
define rozier = Character("Rozier", what_prefix='"', what_suffix='"') # Phantoms Friend
define fournier = Character("Fournier", what_prefix='"', what_suffix='"') # Bloodhounds Goalie 2




# STARTING RELATIONSHIP METER VARIABLE DEFINITIONS
# how to use it:
# $ [defined variable] = positiveAdd([defined variable], 1)
# ex. $ kala = positiveAdd(kala, -1)

init python:

    def positiveAdd(value, modifier):
        value += modifier

        if (value < 0):
            value = 0

        return value

define kala = 0
define phantomscaptain = 0
define bhcaptain = 0
define bhrival = 0
define bhgoalie = 0

style plusminus is text:
    size 80
    font "/fonts/AbolitionSoft-Oblique.otf"
    color "#ffffff"
#
#
# IMAGE DEFINITIONS / TRANSFORM STATEMENTS / ETC.

transform headshot_right:
    xalign 0.8
    yalign 0.1

transform headshot_left:
    xalign 0.2
    yalign 0.1

transform headshot_center:
    xalign 0.5
    yalign 0.1

transform fullbody_right:
    xalign 3.2
    yalign 0.05
    zoom 0.7

transform fullbody_left:
    xalign -2.8
    yalign 0.05
    zoom 0.7

transform fullbody_center:
    xalign 0.5
    yalign 0.05
    zoom 0.7

# image

#
#

label start:

    # TRANSITION DEFINITIONS
    define slowdissolve = Dissolve(1.0)
    define slowfade1 = Fade(1.0, 0.0, 1.0)
    define slowfade2 = Fade(2.0, 0.0, 2.0)
    define fadehold = Fade(0.5, 1.0, 0.5)

    scene placeholder


    # Name input

    python:
        first_name = renpy.input(_("What's your first name?"))
        first_name = first_name.strip() or __("Jordan")

        last_name = renpy.input(_("What's your last name?"))
        last_name = last_name.strip() or __("Smythe")

    # Pronoun selection

    call pronounselection from _call_pronounselection # This calls a choice menu to select pronouns.

    # Position selection

    # menu:
    #     "Are you a..."
    #
    #         "choice 1":
    #             $ position_flag


    # Callback testing

    "Your name is {b}[first_name] [last_name]{/b}. {p}Your pronouns are {b}[selectedpronouns!t]{/b}."

menu:
    "Is that correct?"

    "Yes":
        "Welcome to the Transcendental Hockey League."
        jump begin

    "No":
        "Let's try that again."
        jump start


    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    # scene bg room




    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # show eileen happy

    # These display lines of dialogue.

    # e "You've created a new Ren'Py game."

    # e "Once you add a story, pictures, and music, you can release it to the world!"

    # This ends the game.

    # return

#
#
#
# FIRST INTRODUCTION SCENE 2 EVERYTHING...............
#
#
#

label begin:

    scene bg bedroom
    with slowfade2

    # play phone call sound here / play sound "xxxxxxxxxx.ogg/.mp3"
    play audio "audio/phone_ring1.ogg"
    play audio "audio/phone_vibration1.ogg" volume 0.2
    queue audio "audio/phone_vibration1.ogg" volume 0.2

    "You jerk awake to the sound of your phone, face down on your bed."
    "After the 4-0 loss last night to the Blitz, you were making the most of your off day with a mid-day nap."

    menu:
        "What do want to do?"

        "Pick up the phone.":
            "Might as well pick it up. The sooner this call is over the sooner you can get back to your nap."
            jump begin_phone_true

        "Ignore.":
            "Whoever is calling can wait until later."
            jump begin_phone_false

    label begin_phone_false:
        play sound "audio/phone_ring1.ogg" volume 0.75
        play audio "audio/phone_vibration1.ogg" volume 0.2
        queue audio "audio/phone_vibration1.ogg" volume 0.2
        queue audio "audio/phone_vibration1.ogg" volume 0.2
        queue sound "audio/phone_ring1.ogg" volume 1.0
        queue audio "audio/phone_vibration1.ogg" volume 0.2
        a "...{w=1.5}...{w=1.5}...{w=1.5}...{nw}"
        # queue sound "audio/phone_ring1.ogg" volume 1.0
        queue audio "audio/phone_vibration1.ogg" volume 0.2

        menu:
            a "............{fast}"
            "Just pick up the phone.":
                "Whoever is calling isn’t going to give up anytime soon. Guess you’ll just have to put off this nap for a bit."
                jump begin_phone_true

    label begin_phone_true:

        a "Hello?"
        rozier "Dude, have you been checking your phone at all?{nw}"

        menu:
            rozier "Dude, have you been checking your phone at all?{fast}"

            "\"Huh?\"":
                jump after_menu1
            "\"No...\"":
                jump after_menu1

        label after_menu1:
            rozier "Fuck... I don’t want to be the one to break this to you."
            a "What's going on?"
            rozier "Just... Check your phone and call me back, okay?"
            a "Could you at least tell me what's—"


label begin_phone_done:

    "They abruptly hang up."

    a "What was [rozier] even talking about?"

    "You quickly glance at your phone notifications."

    a "...Oh."

    "There’s countless notifications from various people, including one from... the Phantoms GM?"

    "This can't be good. The general manager doesn’t just reach out to the players for fun."

    menu begin_phone_menu:
        "What do you decide to do?"

        "Look at your text notifications":
            jump begin_texts

        "Call the GM back":
            jump begin_gmcall

    label begin_texts:
        "You quickly skim over the names."
        "Ignoring the GM for a moment, there’s a bunch from your teammates, a couple frantic ones from your agent, and a few missed calls as well as some texts from an unknown number."
        "There’s even one from Coach LeBlanc."
        "This is concerning."
        jump begin_phone_menu

    label begin_gmcall:
        "Everyone knows about the Amari family and their legacy in the league. Getting the chance to be under [gm1]'s radar was a privilege you were always thankful to have."

        "Even though she wasn't on the ice with players in the same way Coach LeBlanc was, her presence was always felt. Any issues off the ice were always quickly dealt with under her watchful eye."

        "...and ever since you were drafted to the Phantoms, [gm1] has always had your back. After all, they were the one who decided to take a chance on you 5 years ago."

        "But the two of you aren’t on a phone call basis. A couple professional emails here and there sure, but it was rare to get a call."

        "They almost never reached out to players directly unless..."

        "You sit up in bed, preparing for the worst."

        # PHONE RINGING

        menu:
            a "Hi, it's [last_name]..."

            "\"Sorry for not picking up earlier.\"":
                jump gmcall_sorry

            "What'd you want to talk to me about?:":
                jump gmcall_continue

        label gmcall_sorry:
            gm1 "It's a rest day, half the team were taking naps today. I'd be surprised if you weren't."
            gm1 "You weren't expecting a call, so no worries."
            gm1 "But..."
            jump gmcall_continue

    label gmcall_continue:

        gm1 "There’s no point in dragging this out, so I’ll give it to you straight."
        gm1 "We're in the process of finalizing it, but you know how the media is."
        gm1 "You're being traded, [last_name], and I wanted to thank you for your time here."

        jump flashback1


#
#
#
# ?FLASHBACK SCENE?
#
#
#

style gamedetails is text:
    size 120
    font "/fonts/AbolitionSoft-Oblique.otf"
    color "#FF0000"
    outlines [(2, "#000", 0, 0)]

label flashback1:
    scene bg rink_game
    with Fade(2.0, 0.0, 2.0)
    play music "audio/game_ambience.ogg" volume 0.5 loop

    "{i}The night before...{/i}"

    window hide
    $ quick_menu = False
    show text "{=gamedetails}Phantoms v. Blitz @ Horizons Arena{/=gamedetails}" at truecenter
    with dissolve
    pause 3.5
    hide text
    with dissolve
    window show

    $ quick_menu = True #SHOW QUICKMENU

    a1 "...and the Phantoms continue to trail behind the Blitz with nothing to show at the end of this 2nd period with the score at 3-0."
    a2 "Despite the strong offensive push in their last powerplay, the Phantoms just can't seem to find the back of the net."
    a1 "This season has not been looking good for the past Amari Cup champions, huh?"
    a2 "The Phantoms sure haven't been playing like cup contenders these past few months."
    a2 "Losing Hayward and Stone to injuries certainly hasn't helped, that's for sure."
    a1 "Rumors say that the Phantoms GM is looking into potential roster changes as the trade deadline nears."
    a2 "I wouldn’t be surprised, Pat. Switching out a couple players here and there may be what the Phantoms needs to get back into the game."
    a1 "We’ll just have to see if the rumors are true are not in the coming days."
    a1 "Let’s hope the Phantoms find their spark again in the final period, coming up after this intermission."

    # Transition to the phantoms locker room

    scene bg lockerroom_phantoms
    with slowfade1
    stop music fadeout 1.0

    "The team heads down the tunnel at the end of the 2nd period, heads hanging low."

    "Besides some quiet muttering from Belanger and whispers among the staff, there's not much chatter."

    "This is looking to be the Phantoms' next loss, and the atmosphere is tense."

    "You quickly shuffle over to your locker with [rozier] close behind you.{w=0.2} Ever since they got brought up from the minor league team 2 years ago, you two have been attached at the hip."
    "The gently bump your shoulder once, grabbing your attention."
    rozier "You good?{nw}"

    menu:
        rozier "You good?{fast}"

        "Nod in response.":
            rozier "It's just another game yeah?"
            "They give you a quick pat on the back."
            rozier "We'll come back from this."
            jump flashback_continue

        "Choose to stay quiet and shrug them off.":
            jump flashback_continue

    label flashback_continue: #LEBLANC SPEECH + COULTER INTRO

        "There's not much else to say. You made a few costly mistakes on the ice that led to the Blitz getting in their 3rd of the night."
        "[rozier] gives you one final concerned glance before facing towards the center of the locker room where Coach LeBlanc stands, watching as the team settles."
        "They're standing in the center of the room, careful to avoid the team's logo emblazoned on the floor."
        "You could feel Coach LeBlanc's frustration after your last shift on the ice...{w=0.5} so you're not excited about what they have to say."

        hc1 "Everyone listen up!"

        "The locker room gets even quieter somehow."

        hc1 "I don't want to stand here and give you all the same spiel I did last game..."
        hc1 "...and the games before that."
        hc1 "I don't think any of us want to hear it again either."
        hc1 "You all know what mistakes you've made on the ice. Fix it."
        "You feel your face burn."
        "He turns to leave and starts walking out the locker room, pausing at the doorway."
        hc1 "Let's just hope this last period will be a better representative of the team I know."
        "A few other staff members shuffle out the room, trailing behind Coach LeBlanc. Only the team is left behind now."
        unknown ".{w=1.0}.{w=0.8}.{w=0.5}FUCK!"
        "You hear the sound of a stick being broken in half."

        #COULTER INTRODUCTION
        show coulter headshot at headshot_right
        c "Hey! Knock it off Bell!"
        hide coulter headshot
        "You look up to see Coulter make his way over to Belanger, grabbing the broken stick out of their hands."
        "Colts was always a hands-on kind of captain."
        "In your rookie year, he took it upon himself to integrate you onto the team.{w=0.2} It's how you two got so close in the first place."
        "He turns to face the team, broken stick in hand."
        show coulter headshot at headshot_right
        c "Is this how Amari Cup Champions act?"

        menu: #RESPONDING TO COULTER
            c "Is this how Amari Cup Champions act?{fast}"

            "Shake your head no.":
                $ phantomscaptain = positiveAdd(phantomscaptain, 1) #POSITIVE RELATIONSHIP/FIRST CHOICE
                show text "{=plusminus}[c] +1{/=plusmiinus}" at headshot_right
                with dissolve
                pause 0.5
                hide text
                with dissolve

                jump flashback_continue2

            "Don't respond.":
                $ phantomscaptain = positiveAdd(phantomscaptain, -1) #NEGATIVE RELATIONSHIP/FIRST CHOICE
                show text "{=plusminus}[c] -1{/=plusmiinus}" at headshot_right
                with dissolve
                pause 0.5
                hide text
                with dissolve

                jump flashback_continue2

        label flashback_continue2: #COULTER SPEECH
            "{i}Some choices will impact the relationships you have with others using the Plus/Minus system. Positive choices will add points (+), while negative choices will subtract points (-). You can keep track of points for primary characters in the {b}Plus/Minus{/b} screen. {/i}"

            if phantomscaptain >= 1:
                "You notice Colts look over at you first, a pleased look on his face."
            else:
                "You notice Colts look over at you first, a disappointed look on his face."

            hide coulter headshot
            "The rest of the team seem to shake their heads in response.{w=0.8} Though there are varying levels of enthusiasm throughout the locker room."
            show coulter headshot at headshot_right
            c "I know it's tough guys, but we can't let one single game in a season get to us."
            hide coulter headshot
            unknown "Easy for you to say Colts, your contract isn't exactly on the line here."
            "Coulter winces."
            show coulter headshot at headshot_right
            c "...I know it's been more than a couple games this time around. {w=0.8}And I know that Coach LeBlanc and the rest of management isn't exactly happy with us right now."
            c "I know that {i}we're{/i} not exactly happy right now either."
            c "But losing streaks can be broken.{w=0.5} We still have 20 minutes left to turn this one around."
            hide coulter headshot
            "If there's one thing you've always admired about Colts, it's his ability to lead the locker room in tense moments like these. Sometimes your teammates can be assholes."
            show coulter headshot at headshot_right
            c "Let's focus on finishing this game and scrape out a win, yeah?"
            hide coulter headshot
            "There's more of a response this time around, with a couple of teammates tapping their sticks."
            rozier "C'mon guys, how some more enthusiasm for the captain, eh?"
            "There's more of a verbal response this time around alongside the stick taps from the rest of the group."
            "The mood in the locker room is considerably more cheerful than earlier.{w=0.5} Coulter gives them all a smile before making his way over to you."

            show coulter headshot at headshot_right
            c "Don't think I don't notice you brooding in the corner earlier, [last_name]."

        menu: #COULTER CATCHES YOU BROODING
            c "Don't think I don't notice you brooding in the corner earlier, [last_name]. {fast}"

            "\"Wasn't brooding.\"":
                c "Sure you weren't."
                if phantomscaptain >= 1:
                    c "I've known you for 5 years, [first_name].{w=0.5} I can tell when you're lying pretty easily by now. "
                else:
                    c "We've been playing together for 5 years, [first_name].{w=0.5} I'm the last person you should be lying to."

            "\"It's nothing to worry yourself over.\"":
                c "It's my job to look out for my teammates. The C on my jersey isn't just for decoration y'know."
                if phantomscaptain >=1:
                    c "We've been friends for 5 years, [first_name]. It's pretty hard not to worry about you."
                else:
                    c "We've been playing together for 5 years, [first_name]. You should know I always put the team first."

        label flashback_continue3:
            c "Trust me when I say you're a great player. Don't let Coach get in your head too much."
            c "Every player has their off nights, and you're no different. {w=0.5} Don't beat yourself up over it, okay?"
            a "I'll try."
            hide coulter headshot
            "He leans over, slinging an arm around your shoulder and pulling you into a quick side hug."
            show coulter headshot at headshot_right
            c "Let's go score some goals, yeah?"
            hide coulter headshot
            "Coulter quickly shuffles off to the other side of the locker room towards Hayward, who showed up to support the team despite being out for an injury."

            "This losing streak has been tough on everyone, and you can't imagine having to watch it all go down and not be able to do anything about it."

            "Coulter's right.{w=0.5} You're a good player.{w=0.5} A great one even.{w=0.5} And you still have 20 minutes left to prove it."
        jump begin_continue

#
#
# POST FLASHBACK SCENE, CONTINUED BEGINNING
#
#
#

label begin_continue:

    scene bg bedroom
    with slowfade2

    gm1 "{i}You're being traded, [last_name], and I wanted to thank you for your time here.{/i}"

    $ continue_gmcall = [ ] #DISAPPEARING CHOICES 1/2
    menu begin_continue_gmcall:
        gm1 "{i}You're being traded, [last_name], and I wanted to thank you for your time here.{/i}{fast}"
        set continue_gmcall #DISAPPEARING CHOICES 2/2

        "What?":
            gm1 "You've done a lot to grow the Phantoms organization, [last_name], that's not lost on us."
            "Yeah, 5 years worth of effort."
            gm1 "But we needed to make some changes.{nw}"
            menu: #KALA AMARI BUSINESS MOMENT
                gm1 "But we needed to make some changes.{fast}"

                "Just another Amari business decision, huh?":
                    #RELATIONSHIP METER TEST
                    $ kala = positiveAdd(kala, -1) #NEGATIVE RELATIONSHIP/FIRST CHOICE
                    gm1 "This isn't personal, [last_name], you and I both know that."
                    gm1 "Don't make this separation any worse than it has to be. I don't want us to part on bad terms."
                    jump begin_continue_gmcall

                "Trades are always gonna be a part of the business, I get it.":
                    $ kala = positiveAdd(kala, 1) #POSITIVE RELATIONSHIP/FIRST CHOICE
                    gm1 "I'm glad you understand, [first_name]."
                    gm1 "Parting with long term players is never easy for either side... Though I know players often deal with the hardest parts of it."
                    gm1 "Speaking from experience."
                    gm1 "I'm sorry that it came to this."
                    jump begin_continue_gmcall

        "Where am I headed?":
            gm1 "The Bloodhounds."
            a "You're kidding..."
            gm1 "We're still working on finalizing the smaller details of it, but the deal is already being made."
            "This feels like your worst nightmare. The {i}Bloodhounds?{/i}"
            gm1 "I know what you're thinking, but they're looking for a player of your caliber right now. I think you'll be a good fit."
            gm1 "I wouldn't just send you anywhere, [first_name]."
            a "It sure feels like it."
            "You'd rather be on the Oaks than the Hounds. If there's one thing the media wasn't wrong about, it was the Phantoms and Bloodhounds rivalry."
            jump begin_continue_gmcall

        "So when am I leaving?":
            gm1 "Expect a call from them later today. They're going to want you to be ready for their next game."
            a "...and when is that?"
            gm1 "Tomorrow night. So I'd suggest you start packing after this call."
            jump begin_continue_gmcall


        "Guess this is goodbye then." if len(continue_gmcall) >= 3: #AFTER ALL OTHER CHOICES
            jump continue_gmcall_end


    label continue_gmcall_end:

        if kala >= 1: #HOW TO HAVE THINGS POP UP FOR CERTAIN RELATIONSHIP METERS
            gm1 "I'm sorry again. This isn't how I wanted us to part."

        gm1 "These decisions are never easy."
        gm1 "But you're a solid player, [last_name]. You've got a good career ahead of you even if it isn't with the Phantoms."
        a "Thank you, Ms. Amari.{w=0.5} For everything.{w=0.5} Really."
        gm1 "Of course. We appreciate all you've done for the Phantoms organization all these years."
        gm1 "Goodbye [last_name]. Go get your stuff together, get some rest where you can, and good luck."

    # label begin_continue_postcall:
        "The GM hangs up, leaving you behind to process the gravity of that one phone call."
        "That was...{w=0.5} a lot."
        "You feel nauseous. Maybe it's time to lay down again."

        $ begin_continue_phone = [ ]
        menu begin_continue_phone:
            "{i}What do you decide to do?{/i}"
            set begin_continue_phone

            "Take a moment to process.":
                "This entire scenario is a nightmare. Looking around at your apartment—your {i}home{/i} for the last few years—you feel yourself mourning a bit."
                "Not all first rounders become faces of their franchises, and you’re now experiencing it firsthand."
                "Even though you weren't exactly a bust, players like [c] were much more reliable. A trade was always going to happen down the line."
                "You just didn’t know it’d be this soon."
                "There’s a lot of preparation you have to do, things you need to get in order before tomorrow night’s game as a Bloodhound."
                "The next time you see [c], it'll be on opposite ends of the ice. The thought makes you feel a bit sick."
                "If only you had known that last night’s game was the final time you’d be suiting up as a Phantom..."
                jump begin_continue_phone

            "Call back [rozier]":
                "You figure you should call back Rozie. They did manage to wake you up when all those other calls didn't after all."
                "The others can wait. They deserve to be one of the first people you talk about it with."

                "It doesn't take long for them to pick up."

                # phone ringing sound

                rozier "How you holding up?{nw}"

                menu continue_phone_roziercallback:
                    rozier "How you holding up?{fast}"

                    "\"Just got off a call with Amari if that says anything.\"":
                        rozier "Yikes."
                        rozier "Well... Did it go well?"
                        a "Wasn't exactly a fun call, Rozie."
                        rozier "I bet it wasn't. A one on one with Amari? Any Phantom's worst nightmare."
                        a "Roz..."
                        rozier "Sorry, sorry."

                    "\"I've been better.\"":
                        rozier "I bet."
                        a "I didn't even get to finish my nap..."
                        rozier "Man, that's worst than getting traded."


                label phone_roziercallback:
                        rozier "I just can't believe where they decided to send you."
                        rozier "{i}The Bloodhounds?{/i} Of all teams?{w=0.5} I didn't believe it at first. And only for a couple of draft picks and a third liner...{w=0.5} You're totally worth more than that."
                        a "Thanks, Roz."
                        rozier "And you'll be playing alongside {i}[m]{/i} too? Don't know how that's gonna look knowing your history with them..."
                        a "Roz......"
                        rozier "But seriously, [first_name]. You better keep me updated once you're there."
                        a "You know I will."
                        rozier "You gotta give me all the details. Full intel. I gotta know [d]'s weak spots."
                        a "You do remember I'll be playing {i}against{/i} you, right?"
                        rozier "Does our friendship mean nothing to you?"

                        "The two of you talk for a couple more minutes before they have to head out." #FILL IN THIS SECTION

                        rozier "Take care of yourself, [first_name]. Gonna miss playing with you."
                        a "Gonna miss you too, Rozie."

                        "The phone call ends."
                        jump begin_continue_phone

            "Check your phone again, properly this time.":
                "It might be time to actually look at the texts you got from your now former teammates and coach."
                "You scroll through the Phantoms group chat first, scrolling through the slew of reactions from now former teammates."

                # PLAN ON IMPLEMENTING THIS DIFFERENTLY BUT FOR NOW.. WILL SHOW AS TEXT
                unknown "so do we have to remove [them!t] from the chat now:("

                "You type out a quick response, and send it out. You’re quickly met with a bunch of hearts, which makes you feel warm."

                "You're gonna miss this team."

                "You type out a quick thanks to Coach LeBlanc, and skip over the more generic ones from distant family and friends. You decide to look at the one from an unknown number."

                #ANOTHER WAY TO IMPLEMENT TEXT BOTH ON SCREEN AND BELOW ON TEXT

                unknown "welcome to the team, [last_name!l]"

                unknown "this is [i!l], bloodhounds captain."

                a "No way..."

                "Even though you knew you were going to the Bloodhounds, it's still a shock to be getting a text from [i]."
                "[c] was a big franchise name, but [i] was considered the league's next generational talent."
                "When you were in the junior leagues, everyone wanted to be the next [i] when he was a rookie.{w=0.5} Including you."

                a "Who gave him my number?"

                "Well.. it {i}is{/i} the THL. Everyone knows everyone to a degree. You guess you got bigger things to worry about then where [i] got your number."

                i "wanted to make sure you could reach me in case u need anything."
                i "heard they're gonna try to fly u in tonight...make sure u rest up."
                i "see you then."

                menu:
                    "{i}How do you respond?{/i}"

                    "thx for reaching out, will try my best:)":

                        "You type out a quick response and send it."
                        "Hopefully Ibarra doesn't mind an emote or two. At least he's doesn't use proper capitalization."

                    "{i}Don't respond.{/i}":
                        jump continue_phone_checkphone

                label continue_phone_checkphone:
                    "Guess you'll have to take the 'Cap' nickname off of Coulter's contact on your phone now.{w=0.5} Sorry Colts."
                    jump begin_continue_phone


            "Get off your phone." if len(begin_continue_phone) >= 2:
                jump begin_continue_houndsgm

    label begin_continue_houndsgm:
        "You've been looking at your phone for long enough. Maybe it's time you get off."

        #PHONE STARTS RINGING AGAIN
        play audio "audio/phone_ring1.ogg"
        play audio "audio/phone_vibration1.ogg" volume 0.2

        "...Or not."

        a "Hello?"
        gm2 "Hey! [last_name] right?"
        a "That's me."
        gm2 "This is Tierney, the Bloodhounds GM. Wanted to give you a call today to introduce myself and formally introduce you to the team!"

        "The rest of the conversation is uneventful, with the standard formalities and introductions on both sides."
        "You did {i}not{/i} miss this part of joining a new team."

        gm2 "...it was great talking to you [last_name]."
        gm2 "We also got a game tomorrow night, So I wanted to clear some things up with that so you can be here on time and ready for the game."
        a "When's the flight?"
        gm2 "Unfortunately, within the next couple hours by tonight. Working on getting the tickets your way, but we'll make sure you're taken care of."
        "This is all hapenning so fast."
        gm2 "I know what you're thinking. Like I said, we'll get you taken care of in the move. Your job is to worry about making it to practice and playing tomorrow night."
        gm2 "Excited to see you on the ice with the Hounds, [last_name].{nw}"

        menu:
            gm2 "Excited to see you on the ice with the Hounds, [last_name].{fast}"

            "\"I\'m excited too. Can't wait to meet up with the team.\"":
                gm2 "Glad to hear it. I'm sure you'll get along great with the rest of the team."
                jump continue_houndsgm

            "\"Appreciate the opportunity.\"":
                gm2 "You're a good player, so can't wait to see what you bring to the team."
                jump continue_houndsgm

        label continue_houndsgm:
                gm2 "Keep an eye out for those flight details. Talk to you again soon."

                "The phone call ends."
                "By this time tomorrow, you're going to be geared up as a Bloodhound."
                "Guess it's time you got to packing, huh?"


                window hide


#
#
# INTRO FIRST DAY - POST TRADE
#
#
style locationdetails is text:
    size 120
    font "/fonts/AbolitionSoft-Oblique.otf"
    color "#FF0000"
    outlines [(2, "#000", 0, 0)]

label intro_firstday:
    $ quick_menu = False
    scene bg hotel_room
    with slowfade2

    show text "{=gamedetails}The Next Morning...{/=gamedetails}" at truecenter
    with dissolve
    pause 2.0
    hide text
    with dissolve


    $ quick_menu = True
    "Despite the rush last night, you've had a relatively slow morning."
    "With some of your personal gear already packed from your last game, all you really had to worry about was the rest of your clothes and other small necessities."
    "Luckily for you, the Bloodhounds aren't based too far out from the Phantoms, so the flight was only about 2.5 hours. You definitely still crashed once you got to the hotel though."
    "Once you get the chance, you really needed to to text Rozie about helping you pack up the rest of your apartment... but that's a concern for another night."

    "As you finish your breakfast, you feel your phone buzz in your pocket."
    "It's a text from [i]."

    i "hey [last_name!l], hope you got in last night ok."
    i "optional skate is happening in an hour at our practice rink. figured you'd want to go and meet some of the team."

    "You glance quickly at the time.{w=0.2} It's currently 10 AM."

    i "i got room in my car so if you want to tag along, let me know."

    "Transportation wasn't even something that crossed your mind. Sure you normally drove places, but your car was all the way back...{w=0.2} home. If you could even call it that anymore."

    menu intro_firstday_ibarra1:
        "{i}How do you decide to respond to [i]{/i}?"

        "\"catching a ride would be nice!\"":
            $ ibarra1 = True
            $ bhcaptain = positiveAdd(bhcaptain, 1) #POSITIVE RELATIONSHIP/FIRST CHOICE
            show text "{=plusminus}[i] +1{/=plusmiinus}" at headshot_right
            with dissolve
            pause 0.5
            hide text
            with dissolve
            i "cool."
            i "i'll be at your hotel in 30. better be dressed by then."


        "\"i think i can find my way there.\"":
            $ ibarra1 = False
            $ bhcaptain = positiveAdd(bhcaptain,- 1) #NEGATIVE RELATIONSHIP/FIRST CHOICE
            show text "{=plusminus}[i] -1{/=plusmiinus}" at headshot_right
            with dissolve
            pause 0.5
            hide text
            with dissolve
            i "it's not exactly walking distance."
            i "ur best off calling a ride there if they got you in the hotel i'm thinking of."
            i "see u there at 11. sending the address now."


    label intro_firstday_continue:
        if ibarra1:
            "Might as well use this as a chance to get to know [i] a bit better. He's no Colts but... you don't exactly have a choice."
            "You dig through your suitcase, trying to put together a presentable outfit."

            scene bg hotel_lobby
            with slowfade2

            "It's nearing 10:30 AM when you finally get yourself all put together. You hurriedly rush down to the lobby, keeping an eye on your phone."
            "You're quickly typing out a text to [i], head turned down, when you bump into someone."

            a "Shit, sor-"
            unknown "...[last_name], right?"

            show ibarra headshot at headshot_right
            "Looking up, you suddenly make eye contact with [i], your new captain."
            "Well this is already a great first meeting."

            hide ibarra headshot
            a "Sorry I was looking at my phone and-"

            show ibarra headshot at headshot_right
            i "You're good, I was just about to text you myself."
            i "Unlike [m]...."
            "He looks down at his watch."
            i "...you're actually on time. Let's head out before we start running late."
            "Another flaw you can chirp [m] about on the ice."
            "Except... they're your teammate now. So not sure how that may play out."
            i "Come on, car's parked right out front."


            scene bg car_interior
            with slowfade1

            hide ibarra headshot
            "You follow [i]'s lead, dropping off a bag in his trunk, and brushing some crumbs off the seat before settling down."
            "Besides that, the interior of [i]'s car is relatively neat. You notice a couple of loose things in the back like a sweater and some shoes, but the floor is pretty clear."
            "You're a fan of the little Bloodhounds ornament. It's a bit surreal to be getting driven to practice alongside someone you've admired for a bit."
            "You never hung up any [i] posters like your junior league roommates... but you definitely considered it."

            show ibarra headshot at headshot_right
            i "Sorry about the mess—[m] tends to leave crumbs everywhere."

            menu ibarra1_1:
                i "Sorry about the mess—[m] tends to leave crumbs everywhere.{fast}"

                "\"Why am I not surprised?\"":
                    "[i] chuckles a bit at the comment."
                    i "I've known [m] for 5 years now, so I know all about the history between you two."
                    i "But you're teammates now. So I'm gonna ask that you both at least be civil with each other."
                    a "That's a lot to ask..."
                    i "I know, I know. But they're a good person. Promise."
                    a "I'll consider it."
                    "He smiles at that."
                    i "Thanks, [last_name]."

                    "The two of you quickly move on to another conversation topic."

                "\"Well it's neater than mine.\"":
                    "[i] chuckles a bit at the comment."
                    i "Well I'd hate to see how yours looks if that's the case."
                    a "It's still pretty neat you know."
                    i "I'll believe it when I see it."
                    "You can't believe you're having to defend the cleanliness of your car to one of your hockey idols."
                    "This is embarassing."
                    a "Once I get my car in town you can see for yourself."
                    i "I'll be waiting then."

                    "The two of you quickly move on to another conversation topic."

        else:
            "You immediately look up the address once [i] sends it over."
            "It's an estimated 25 minute drive which isn't {i}horrible{/i} but..."
            "Maybe you should've taken up [i]'s offer."


    label intro_firstday_practice:
        scene bg rink_practice
        with slowfade2

        "The drive ends up going by faster than you expect, and you arrive there approximately 15 minutes before practice is due to start."

        if ibarra1:
            "You found it surprisingly easy to talk to [i], and quickly lost track of time on the way to the rink."
            show ibarra headshot at headshot_right
            i "..and here we are."
            hide ibarra headshot
            "He leads the way as you take in the space, adorned with Bloodhounds imagery and colors."
            "There's even a couple player banners here and there, and you notice a few familiar faces."


        else:
            "You slowly make your way into the facility, quickly surrounded by Bloodhounds imagery and colors."
            "There's even a couple player banners here and there, and you notice a few familiar faces."
            unknown "There you are."
            "You turn around to face the unknown voice, quickly realizing that it's [i] behind you."
            show ibarra headshot at headshot_right
            i "[last_name], right? Nice to finally meet you in person."
            "You quickly nod and exchange a good, firm handshake. Ibarra's presence off the ice is just as intimidating."
            "Let's hope you get used to it quick."
            hide ibarra headshot
            a "Hope I'm not late or anything."
            "[i] chuckles a bit."
            show ibarra headshot at headshot_right
            i "Oh no, you're perfectly on time."
            i "I'm usally more worried about [m], since they tend to arrive 5 minutes later than everyone else."

        i "Let's head on over to the locker room. The rest of of the team have been eager to see the new addition."

        "You walk together past more Bloodhounds memorabilia. For a team that has only ever made it to the finals..."

        # LOCKER ROOM TRANSITION
        scene bg lockerroom_bloodhounds
        with slowfade1

        "Your train of thought is interrupted as the two of you step into a familiar scene."
        "Having been in locker rooms throughout your career, you're not sure why you expected this one to be any different."

        unknown "Is that [them!t]?"
        "You hear a snort in response."
        unknown "Who else would it be? Bring [them!t] over here Barzy!"

        "Turning towards the voices, you spot the goaltenders in their corner of the locker room. Ibarra motions you to follow as you walk towards the two, stopping next to them."
        "Glancing at the space beside you, you notice an empty name plate, some new gear, and a fresh practice jersey."
        "Guess this must be for you."

        show ibarra headshot at headshot_right
        i "[last_name], I'd like you to meet our goaltenders."
        i "At the end over there is Fournier."
        "They wave at you and give a small smile."
        i "And next to them is—"

        show dupre headshot at headshot_left
        d "[d], star goalie for the Bloodhounds."
        "They stand up and quickly shake your hand."
        d "But feel free to refer to me however you'd like! I never was a fan of formalities."

        "[d] was a goalie you dreaded facing on the ice. It always felt like they could read your next play at any given moment."
        "You've never interacted with them off the ice before."

        i "Luckily for you, [last_name], the space next to [d] just opened up. Take some time getting to know your new locker neighbor, eh?"
        i "I'm going to go get geared up, but please, make yourself at home."
        hide ibarra headshot
        hide dupre headshot

        "[i] gives you a small pat on the back before heading over to his spot across the room."

        show dupre headshot at headshot_right
        d "Hopefully the equipment manager got your sizing and everything right. I know Fournier here had a couple issues in his first year."

        hide dupre headshot
        "Putting your bag down, you start going through the motions to get geared up for the upcoming practice."
        "Unlike your more strict game day rituals, you keep practices more relaxed and get yourself together in no particular order."
        "You slip on the new purple practice jersey hung up in your locker. The Bloodhounds logo on your chest feels strange."

        show dupre headshot at headshot_right
        d "Looking good in the purple, [last_name]!{nw}"

        menu dupre_1:
            d "Looking good in the purple, [last_name]!{fast}"

            "\"Thanks, [d]!\"":
                $ bhgoalie = positiveAdd(bhgoalie, 1) #POSITIVE RELATIONSHIP/FIRST CHOICE
                show text "{=plusminus}[d] +1{/=plusmiinus}" at headshot_right
                with dissolve
                pause 0.5
                hide text
                with dissolve
                a "It fits right and I know it's just the practice jersey but..."
                d "Feels wrong?"
                a "You could say that."
                d "Definitely been there. More than once unfortunately. It never does get any easier..."


            "Don't respond.":
                "[d] frowns a bit at your response, or lack thereof."
                d "I know trades are tough. Believe me. I've been there."
                d "There's not much I can say or do to make it feel better though, huh?"


        d "It'll always be weird putting on your new team's jersey for the first time."
        hide dupre headshot
        "No kidding. You never saw yourself wearing anything Bloodhounds related in your entire career. Even you in an Osprey jersey would be more believable than this."
        show dupre headshot at headshot_right
        d "But hey, at least this isn't a real game right?"
        d "At least... not until tonight! It's still low pressure, low stakes."
        "That's comforting."
        "[d] slowly gets up from their spot, making their way towards the rink. They turn towards you as they're about to leave."
        d "Well? You coming?{nw}"

        menu dupre_2:
            d "Well? You coming?{fast}"

            "\"Yeah, let's go.\"":
                a "Thanks for waiting on me."
                "You hadn't noticed that everyone had already gone onto the ice until now."
                "[d] was the only other player that was still in the locker room."
                d "Don't even worry about it. [m] usually takes forever getting ready."
                d "No idea why they got ready so fast today..."
                hide dupre headshot
                "You could think of a couple reasons for why."
                show dupre headshot at headshot_right
                d "Enough talk though, let's get out there before [i] gets upset."
                "You get up to follow [d]."

            "\"Think I need another second.\"":
                d "No worries, take your time."
                d "Meet me out on the ice, yeah?"
                a "I'll see you, [d]."
                "Once they leave, you notice that you're the only player still left in the locker room."
                "You take some time to fully take in your new surroundings."
                "The not so distant sounds of skates scraping the ice and whistles are comforting."
                "With [d] and Fournier to your left, you take a glance around the locker room to see who else is close by."
                "There's a handful of names you vaguely recognize, some you need to learn the pronunciation of, and one that makes you freeze."
                "To your right is [m], your childhood rival."
                a "You've got to be kidding me..."
                "You and [m] were star players in the junior leagues, with scouts attending your every game. When draft year came around... things got intense."
                "It doesn't help that you were drafted ahead of them by a pick, solidifying your rivalry even further."
                "The media loved seeing the two of you go at it on the ice."
                "Maybe being forced to be locker neighbors and teammates will change things but..."
                "Shaking your head, you try to clear your thoughts. No need to bring negativity onto the ice."

        scene bg rink_practice
        with slowfade1
        "New team aside, going through the motions helps you feel a lot more settled."
        "You go through some drills with Coach Harper, pass around the puck with [i] and some other teammates, even shoot on [d] a handful of times."
        "You're passing through center ice when you're suddenly shoved to the side, causing you to stumble."
        a "Hey!"
        "Once you rebalance yourself, you're not surprised by who you see skating by you."
        show morin neutral at fullbody_right
        m "Long time no see, [last_name]."
        show morin happy at fullbody_right
        m "Distracted as usual I see."
        a "[m]."
        "Can't believe you're having to play alongside them after all this time."
        m "Is that all you gotta say to an old friend?"
        a "That's a generous way of putting it."
        show morin neutral at fullbody_right
        "They circle closer towards you."
        m "Wild how we got here, yea?"
        m "Can't believe the Phantoms were willing to give you up so easily..."
        show morin happy at fullbody_right
        m "Can't believe the Phantoms were willing to give you up so easily...{fast} after choosing you first too."
        show morin neutral at fullbody_right
        m "Must hurt, huh?{nw}"

        menu morin_1:
            m "Must hurt, huh?{fast}"

            "\"They still chose me first.\"":
                show morin unhappy at fullbody_right
                m "What?"
                a "Nothing changes the fact that I was still their first pick over you."
                show morin flushed at fullbody_right
                "You see [m] freeze up at the comment."
                "Good riddance."
                a "Let it rest. We're teammates now. As much as I hate it too we gotta start acting like it."
                show morin flushed at fullbody_right
                $ bhrival = positiveAdd(bhrival, 1) #POSITIVE RELATIONSHIP/FIRST CHOICE
                show text "{=plusminus}[m] +1{/=plusmiinus}" at headshot_right
                with dissolve
                pause 0.5
                hide text
                with dissolve
                m "...it's not that simple. You can't pretend the past decade just didn't happen, [last_name]."
                show morin neutral at fullbody_right
                "Morin recomposes themselves, giving you a look."
                m "My feeling about you won't change just because we're teammates now."

            "\"Fuck off.\"":
                show morin happy at fullbody_right
                m "Strong language."
                m "Nothing else to say? Really?"
                "You glare at them with a frown."
                show morin neutral at fullbody_right
                m "I expected a little more fire from you."
                m "Guess you're not the same [last_name] I remember after all."


        hide morin neutral
        "Before you're able to say anything else, you hear Coach Harper blow a whistle."
        hc2 "Gather round team!"
        "[m] gives you one last shove before skating off.{w=0.5} Jerk."
        "You follow them towards the bench, where Coach Harper is standing off to the side surrounded by the rest of the team."
        hc2 "I appreciate y'all for coming to practice this morning."
        hc2 "This is probably the highest turnout we've had for an optional skate in a while."
        show dupre headshot at headshot_left
        "Feeling a nudge from your left, you look over to see [d] give you a grin."
        hide dupre headshot at headshot_left
        hc2 "We're looking good for tonight. The Outlaws are no playoff team, but they're a tough matchup nonetheless. I don't want to see us slacking out there."
        hc2 "But practice aside..."
        "Coach Harper looks directly towards you."
        hc2 "But practice aside...{fast} I wanted to give a proper welcome to [last_name]."
        "The team starts tapping their sticks in response."
        hc2 "I'll get to work on finalizing lines after y'all get out of here, but [they!t]'ll be joining us in tonight's game."
        hc2 "First game with a new team is always tough, so give them some slack, yeah?"
        "You hear a snort come from opposite you. Probably [m]."
        "Coach Harper makes a couple more comments before dismissing the team from practice."

        scene bg lockerroom_bloodhounds
        with slowfade1
        "Everyone heads back into the locker room, and you follow suit."
        "As you're taking off your gear, you hear someone approach you."
        show ibarra headshot at headshot_right
        i "Looking good out there on the ice, [last_name]. I'm confident you'll mesh with the rest of the team in no time."
        i "Morin give you any trouble out there?"

        if bhrival >= 1:
            hide ibarra headshot
            a "It's fine. Nothing I couldn't handle."
            show ibarra headshot at headshot_right
            i "Let's hope you both handle everything civilly."

        else:
            a "A little."
            show ibarra headshot at headshot_right
            i "I know it's a personal thing between the both of you, but let me know if they ever go too overboard."

        i "Who knows? Maybe being teammates will change your minds."
        "[i] gives you a pat on the back."
        i "But seriously, [last_name]. Glad to have you on the team."
        hide ibarra headshot
        "He heads back towards his locker to change out of his gear."
        "You quickly get dressed, gathering your things and head out from the locker room."

        scene bg rink_practice
        with slowfade1
        "You decide to call for a ride back to the hotel, and wait outside the practice facility for it to come."
        "With everything going on, you still feel like you haven't properly processed what's happened."
        "Taking another player's stall, having to wear a different jersey, being teammates with your decade long rival?"
        "It's a lot to take in. You definitely need to update Rozie when you get the chance. Maybe give away one of [d]'s weak spots you discovered earlier."
        "Maybe update [c] on how you're doing too... you completely forgot to text him back this morning."
        "It's weird to think that [i] is your captain now and no longer your junior league idol."

        "Your train of thought is quickly interrupted by your ride arriving in front of you."
        "Time to get some rest in before your first big game tonight with the Hounds."

        scene placeholder
        with fadehold

        "{i}Thank you for playing through the introduction act and demo of 'Unsportsmanlike Conduct!' Hope you enjoyed your brief time with the players<3{/i}"
